#ifndef DPP_H
#define DPP_H

#ifdef USE_LIBDPP
#include <dpputils.h>
#endif

#define FRAME_DST_ENROLLEE(type) \
		((type == DPP_PA_AUTHENTICATION_REQ) || \
		 (type == DPP_PA_AUTHENTICATION_CONF))

#define DPP_URI_FILE "/etc/multiap/dpp_uris.json"


struct controller;
enum dpp_event;

const char *dpp_frame_type2str(uint8_t type);

#if 0
int dpp_append_uri_file(struct controller *c, char *uri);
int dpp_cntlr_read_uris(struct controller *c);
#endif

void dpp_event_uloop_cb(struct uloop_fd *fd, unsigned int events);

int dpp_frame_handler(void *dpp, uint8_t *smac, enum dpp_event ev,
		      uint8_t *frame, size_t framelen);
#endif
